## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - p -

- PackRGBcolorToRGB() : csPackRGB
- PackRGBcolorToRGBBuffer() : csPackRGB
- PackRGBpixelToRGB() : csPackRGB
- PackRGBpixelToRGBA() : csPackRGBA
- PadCenter() : csStringBase
- PadLeft() : csStringBase
- PadRight() : csStringBase
- Palette() : csColorQuantizer, csGraphics2D, csImageMemory
- Parent() : awsEmbeddedComponent, iAwsComponent
- Parse() : iVerbosityManager, iDocument, iBinaryLoaderPlugin, iLoaderPlugin, csVerbosityManager, csVerbosityParser, csBaseRenderStepLoader, csShaderExpression
- ParseAlphaMode() : iSyntaxService
- ParseAnsi() : csAnsiParser
- ParseBool() : iSyntaxService
- ParseBoolAttribute() : iSyntaxService
- ParseBox() : iSyntaxService
- ParseColor() : iSyntaxService
- ParseCommon() : csShaderProgram
- ParseConfigFile() : iCursor
- ParseCullerParameters() : iVisibilityCuller
- ParseGradient() : iSyntaxService
- ParseKey() : iSyntaxService, csInputDefinition
- ParseMatrix() : iSyntaxService
- ParseMixmode() : iSyntaxService
- ParseOther() : csInputDefinition
- ParsePlane() : iSyntaxService
- ParseProgramParam() : csShaderProgram
- ParseRenderBuffer() : iSyntaxService
- ParseShaderRef() : iSyntaxService
- ParseShaderVar() : iSyntaxService
- ParseShaderVarExpr() : iSyntaxService
- ParseVector() : iSyntaxService
- ParseZMode() : iSyntaxService
- PathsIdentical() : csPathsUtilities
- Pause() : iMovieRecorder, iSndSysStream
- PCMSampleConverter() : CrystalSpace::PCMSampleConverter
- Perform() : iTimerEvent
- PerformExtension() : iGraphics2D, iConsoleOutput, csGraphics2D
- PerformExtensionV() : iGraphics2D, iConsoleOutput, csGraphics2DGLCommon, csGraphics2D
- PerformOperations() : csCoverageTile
- PerformOperationsOnlyFValue() : csCoverageTile
- Perspective() : iCamera
- Pixel() : CrystalSpace::SoftShader::Pixel
- PlaceMesh() : iMeshWrapper
- Plane() : csDIntersect3
- PlaneAxisPlane() : csIntersect3
- PlaneGlyphs() : csFontCache::PlaneGlyphs
- PlanePlane() : csIntersect2
- PlanePolygon() : csIntersect3, csIntersect2
- Planes() : csDIntersect3
- PlanesClose() : csDMath3, csMath3, csMath2
- PlanesEqual() : csDMath3, csMath3, csMath2
- PlaneXPlane() : csIntersect3
- PlaneYPlane() : csIntersect3
- PlaneZPlane() : csIntersect3
- Play() : iSoundSource, iSoundHandle, csSoundHandle
- PlayUVAnimation() : iSprite2DState
- PointInClosedMesh() : csPolygonMeshTools
- PointLine() : csDSquaredDist, csSquaredDist
- PointOnPolygon() : iThingFactoryState, iPortal
- PointPlane() : csDSquaredDist, csSquaredDist
- PointPoint() : csDSquaredDist, csSquaredDist
- PointPoly() : csDSquaredDist, csSquaredDist
- Polygonize() : csPolygonMeshTools
- Pop() : iStringArray, csStringArray, scfStringArray, csRefArray< T >, csPDelArray< T >, csArray< T, ElementHandler, MemoryAllocator >
- PopBack() : csList< T >
- PopDir() : iVFS
- PopFront() : csList< T >
- PopTop() : csFIFO< T, ElementHandler, MemoryAllocator >
- PopTransform() : csPen, iPen
- PositionChild() : iMeshObject, csMeshObject, csParticleSystem
- Post() : iEventQueue, iEventOutlet, csEventOutlet, csEventQueue
- PostProcessFrame() : csBaseEventHandler
- PostProcessFrameEventDispatcher() : csEventQueue::PostProcessFrameEventDispatcher
- Precache() : iTextureHandle
- PrecacheCulling() : iVisibilityCuller
- PrecacheDraw() : iEngine
- PreGetBuffer() : iRenderBufferAccessor
- PreGetValue() : csNormalizationCubeAccessor, iShaderVariableAccessor, csShaderExpressionAccessor
- Prepare() : iThingState, iRegion, iEngine
- PrepareAnim() : csProcAnimated, csProcTexture
- PrepareDraw() : iSector
- PrepareLighting() : iLightingInfo
- PrepareMeshes() : iEngine
- PrepareTestRectangle() : csTiledCoverageBuffer
- PrepareTextures() : iRegion, iEngine
- PrepareWriteQueueTest() : csTiledCoverageBuffer
- PreProcessFrame() : csBaseEventHandler
- PreProcessFrameEventDispatcher() : csEventQueue::PreProcessFrameEventDispatcher
- PrepRotation() : csQuaternion
- Prev() : csList< T >::Iterator
- Previous() : csList< T >::Iterator
- Print() : iGraphics3D, iGraphics2D, iAws, csCallStack, csGraphics2D
- PrintIntermediate() : csMeasureTime
- Process() : iEventQueue, csEventQueue, csTriangulate2, csBaseEventHandler
- ProcessFrame() : csBaseEventHandler
- ProcessFrameEventDispatcher() : csEventQueue::ProcessFrameEventDispatcher
- ProcessVertex() : csSpotLightProc< AttenuationProc >, csDirectionalLightProc< AttenuationProc >, csPointLightProc< AttenuationProc >
- ProgramParam() : csShaderProgram::ProgramParam
- ProjectAxisPlane() : csPoly3D
- ProjectBox() : csBox3
- ProjectBoxAndOutline() : csBox3
- ProjectOBB() : csOBBFrozen
- ProjectOutline() : csBox3
- ProjectXPlane() : csPoly3D
- ProjectYPlane() : csPoly3D
- ProjectZPlane() : csPoly3D
- PropagateAction() : iSprite3DState
- Props() : csRenderBuffer::Props
- PullAndRun() : iJobQueue, csThreadJobQueue
- PurgeEmptyPlanes() : csFontCache
- Push() : iStringArray, scfStringArray, csFIFO< T, ElementHandler, MemoryAllocator >, csArray< T, ElementHandler, MemoryAllocator >
- PushBack() : csList< T >
- PushDir() : iVFS, csVfsDirectoryChanger
- PushFront() : csList< T >
- PushFullVLine() : csCoverageTile
- PushLine() : csCoverageTile
- pushRect() : csRectRegion
- PushSmart() : csArray< T, ElementHandler, MemoryAllocator >
- PushTransform() : csPen, iPen
- PushVariables() : iShaderVariableContext, csShaderVariableContext
- PushVLine() : csCoverageTile
- Put() : csRedBlackTreeMap< K, T >, csHashReversible< T, K >, csHash< T, K >, csFmtDefaultWriter< T >, csArray< T, ElementHandler, MemoryAllocator >
- PutFirst() : csHash< T, K >
- PutText() : iConsoleOutput
- PutTextV() : iConsoleOutput
- PutUnique() : csHash< T, K >